/*
 * Autocomplete
 *
 * Index
 * - List
 * - Item
 */

:host {
  position: relative;
  display: block;
}

/* INPUT
 -------------------- */

::slotted(road-input-group),
::slotted(road-input) {
  position: relative;
  z-index: 2;
}

::slotted(road-button){
  position: absolute;
  right: 0;
  height: 100%;
  background-color: var(--road-surface);
}

/* LIST
 -------------------- */

.autocomplete-list {
  position: absolute;
  top: 3rem;
  z-index: 1;
  width: 100%;
  max-height: 16rem;
  padding: 0.5rem 0;
  margin: 0;
  overflow-y: scroll;
  font-family: var(--road-font, sans-serif);
  font-size: var(--road-font-size-14);
  color: var(--road-on-surface);
  list-style-type: none;
  background: var(--road-surface);
  border-radius: 0 0 0.25rem 0.25rem;
  box-shadow: var(--road-elevation-low);
}

/* ITEM
 -------------------- */

.autocomplete-item {
  padding: 0.75rem 1rem;
  cursor: pointer;
}

/**
 * Hover state
 */

.autocomplete-item:hover,
.autocomplete-item.focus {
  color: var(--road-on-primary);
  background: var(--road-primary);
}
